## ros-one-base-local-planner 1.17.3-4jammy.20251023.1210

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(base_local_planner)

include(CheckIncludeFile)

find_package(catkin REQUIRED
        COMPONENTS
            angles
            cmake_modules
            costmap_2d
            dynamic_reconfigure
            geometry_msgs
            message_generation
            nav_core
            nav_msgs
            pluginlib
            roscpp
            rospy
            sensor_msgs
            std_msgs
            tf2
            tf2_geometry_msgs
            tf2_ros
            voxel_grid
        )

find_package(Boost REQUIRED
    COMPONENTS
        thread
        )

find_package(Eigen3 REQUIRED)
remove_definitions(-DDISABLE_LIBUSB-1.0)
include_directories(
    include
    ${catkin_INCLUDE_DIRS}
    ${EIGEN3_INCLUDE_DIRS}
)
add_definitions(${EIGEN3_DEFINITIONS})

catkin_python_setup()

# messages
add_message_files(
    DIRECTORY msg
    FILES
    Position2DInt.msg
)

generate_messages(
    DEPENDENCIES
        std_msgs
)

# dynamic reconfigure
generate_dynamic_reconfigure_options(
    cfg/BaseLocalPlanner.cfg
)

catkin_package(
    INCLUDE_DIRS include
    LIBRARIES
        base_local_planner
        trajectory_planner_ros
    CATKIN_DEPENDS
        angles
        costmap_2d
        dynamic_reconfigure
        geometry_msgs
        message_runtime
        nav_core
        nav_msgs
        pluginlib
        roscpp
        sensor_msgs
        std_msgs
        tf2
        tf2_ros
        voxel_grid
)

check_include_file(sys/time.h HAVE_SYS_TIME_H)
if (HAVE_SYS_TIME_H)
  add_definitions(-DHAVE_SYS_TIME_H)
endif (HAVE_SYS_TIME_H)

#uncomment for profiling
#set(ROS_COMPILE_FLAGS "-g -pg" ${ROS_COMPILE_FLAGS})
#set(ROS_LINK_FLAGS "-g -pg" ${ROS_LINK_FLAGS})
#set(ROS_COMPILE_FLAGS "-g" ${ROS_COMPILE_FLAGS})
#set(ROS_LINK_FLAGS "-g" ${ROS_LINK_FLAGS})

add_library(base_local_planner
	src/footprint_helper.cpp
	src/goal_functions.cpp
	src/map_cell.cpp
	src/map_grid.cpp
	src/map_grid_visualizer.cpp
	src/map_grid_cost_function.cpp
	src/latched_stop_rotate_controller.cpp
	src/local_planner_util.cpp
	src/odometry_helper_ros.cpp
	src/obstacle_cost_function.cpp
	src/oscillation_cost_function.cpp
	src/prefer_forward_cost_function.cpp
	src/point_grid.cpp
	src/costmap_model.cpp
	src/simple_scored_sampling_planner.cpp
	src/simple_trajectory_generator.cpp
	src/trajectory.cpp
	src/twirling_cost_function.cpp
	src/voxel_grid_model.cpp)
add_dependencies(base_local_planner base_local_planner_gencfg)
add_dependencies(base_local_planner base_local_planner_generate_messages_cpp)
add_dependencies(base_local_planner nav_msgs_generate_messages_cpp)
target_link_libraries(base_local_planner
    ${catkin_LIBRARIES}
    ${Boost_LIBRARIES}
    ${Eigen_LIBRARIES}
    )

add_library(trajectory_planner_ros
	src/trajectory_planner.cpp
	src/trajectory_planner_ros.cpp)
add_dependencies(trajectory_planner_ros ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(trajectory_planner_ros
     base_local_planner)

add_executable(point_grid src/point_grid_node.cpp)
add_dependencies(point_grid ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(point_grid ${catkin_LIBRARIES} base_local_planner)

install(TARGETS
            base_local_planner
            trajectory_planner_ros
       ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
       LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
       RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
       )

install(FILES blp_plugin.xml
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  PATTERN ".svn" EXCLUDE
)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest)
  catkin_add_gtest(base_local_planner_utest
    test/gtest_main.cpp
    test/utest.cpp
    test/velocity_iterator_test.cpp
    test/footprint_helper_test.cpp
    test/trajectory_generator_test.cpp
    test/map_grid_test.cpp)
  target_link_libraries(base_local_planner_utest
      base_local_planner trajectory_planner_ros
      )

  catkin_add_gtest(line_iterator
      test/line_iterator_test.cpp)
endif()

=== debian/changelog ===
ros-one-base-local-planner (1.17.3-4jammy.20251023.1210) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mfergs7@gmail.com>  Thu, 23 Oct 2025 12:10:49 +0000

ros-one-base-local-planner (1.17.3-0jammy) jammy; urgency=high

  * [ROS-O] various patches (#1225 <https://github.com/ros-planning/navigation/issues/1225>)
    * do not specify obsolete c++11 standard
    this breaks with current versions of log4cxx.
    * update pluginlib include paths
    the non-hpp headers have been deprecated since kinetic
    * use lambdas in favor of boost::bind
    Using boost's _1 as a global system is deprecated since C++11.
    The ROS packages in Debian removed the implicit support for the global symbols,
    so this code fails to compile there without the patch.
  * Contributors: Michael Görner

 -- Michael Ferguson <mfergs7@gmail.com>  Tue, 10 Jan 2023 00:00:00 -0000

ros-one-base-local-planner (1.17.2-0jammy) jammy; urgency=high

  * Commit 89a8593 removed footprint scaling. This brings it back. (#886 <https://github.com/ros-planning/navigation/issues/886>) (#1204 <https://github.com/ros-planning/navigation/issues/1204>)
    Co-authored-by: Frank Höller <mailto:frank.hoeller@fkie.fraunhofer.de>
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Mon, 20 Jun 2022 00:00:00 -0000

ros-one-base-local-planner (1.17.1-0jammy) jammy; urgency=high

  * occdist_scale should not be scaled by the costmap resolution as it doesn't multiply a value that includes a distance. (#1000 <https://github.com/ros-planning/navigation/issues/1000>)
  * Contributors: wjwagner

 -- Michael Ferguson <mfergs7@gmail.com>  Thu, 27 Aug 2020 00:00:00 -0000

ros-one-base-local-planner (1.17.0-0jammy) jammy; urgency=high

  * Merge pull request #982 <https://github.com/ros-planning/navigation/issues/982> from ros-planning/noetic_prep
    Noetic Migration
  * increase required cmake version
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Thu, 02 Apr 2020 00:00:00 -0000

ros-one-base-local-planner (1.16.6-0jammy) jammy; urgency=high

  * Fix Unknown CMake command check_include_file (navfn & base_local_planner) (#975 <https://github.com/ros-planning/navigation/issues/975>)
  * Contributors: Sam Pfeiffer

 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 18 Mar 2020 00:00:00 -0000

ros-one-base-local-planner (1.16.5-0jammy) jammy; urgency=high

  * [melodic] updated install for better portability. (#973 <https://github.com/ros-planning/navigation/issues/973>)
  * Contributors: Sean Yen

 -- Michael Ferguson <mfergs7@gmail.com>  Sun, 15 Mar 2020 00:00:00 -0000

ros-one-base-local-planner (1.16.4-0jammy) jammy; urgency=high

  * Fixes gdist- and pdist_scale node paramter names (#936 <https://github.com/cobalt-robotics/navigation/issues/936>)
    Renames goal and path distance dynamic reconfigure parameter
    names in the cfg file in order to actually make the parameters
    used by the trajectory planner changeable.
    Fixes #935 <https://github.com/cobalt-robotics/navigation/issues/935>
  * don't include a main() function in base_local_planner library (#969 <https://github.com/cobalt-robotics/navigation/issues/969>)
  * [Windows][melodic] Navigation (except for map_server and amcl) Windows build bring up (#851 <https://github.com/cobalt-robotics/navigation/issues/851>)
  * Contributors: David Leins, Sean Yen, ipa-fez

 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 04 Mar 2020 00:00:00 -0000

ros-one-base-local-planner (1.16.3-0jammy) jammy; urgency=high

  * Merge branch 'melodic-devel' into layer_clear_area-melodic
  * Provide different negative values for unknown and out-of-map costs (#833 <https://github.com/ros-planning/navigation/issues/833>)
  * Merge pull request #857 <https://github.com/ros-planning/navigation/issues/857> from jspricke/add_include
    Add missing header
  * Add missing header
  * [kinetic] Fix for adjusting plan resolution (#819 <https://github.com/ros-planning/navigation/issues/819>)
    * Fix for adjusting plan resolution
    * Simpler math expression
  * Contributors: David V. Lu!!, Jochen Sprickerhof, Jorge Santos Simón, Michael Ferguson, Steven Macenski

 -- Michael Ferguson <mfergs7@gmail.com>  Fri, 15 Nov 2019 00:00:00 -0000

ros-one-base-local-planner (1.16.2-0jammy) jammy; urgency=high

  * Merge pull request #773 <https://github.com/ros-planning/navigation/issues/773> from ros-planning/packaging_fixes
    packaging fixes
  * add explicit sensor_msgs, tf2 depends for base_local_planner
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Tue, 31 Jul 2018 00:00:00 -0000

ros-one-base-local-planner (1.16.1-0jammy) jammy; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Sat, 28 Jul 2018 00:00:00 -0000

ros-one-base-local-planner (1.16.0-0jammy) jammy; urgency=high

  * Remove PCL #765 <https://github.com/ros-planning/navigation/issues/765>
  * Switch to TF2 #755 <https://github.com/ros-planning/navigation/issues/755>
  * Fix trajectory obstacle scoring in dwa_local_planner.
  * Make trajectory scoring scales consistent.
  * unify parameter names between base_local_planner and dwa_local_planner
    addresses parts of #90 <https://github.com/ros-planning/navigation/issues/90>
  * fix param to min_in_place_vel_theta, closes #487 <https://github.com/ros-planning/navigation/issues/487>
  * add const to getLocalPlane, fixes #709 <https://github.com/ros-planning/navigation/issues/709>
  * Merge pull request #732 <https://github.com/ros-planning/navigation/issues/732> from marting87/small_typo_fixes
    Small typo fixes in ftrajectory_planner_ros and robot_pose_ekf
  * Fixed typos for base_local_planner
  * Contributors: Alexander Moriarty, David V. Lu, Martin Ganeff, Michael Ferguson, Pavlo Kolomiiets, Rein Appeldoorn, Vincent Rabaud, moriarty

 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 25 Jul 2018 00:00:00 -0000



=== debian/control ===
Source: ros-one-base-local-planner
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mfergs7@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, python3-setuptools, ros-one-angles, ros-one-catkin (>= 0.5.68), ros-one-cmake-modules, ros-one-costmap-2d, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-message-generation, ros-one-nav-core, ros-one-nav-msgs, ros-one-pluginlib, ros-one-rosconsole, ros-one-roscpp, ros-one-rospy, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-tf2, ros-one-tf2-geometry-msgs, ros-one-tf2-ros, ros-one-visualization-msgs, ros-one-voxel-grid
Homepage: http://wiki.ros.org/base_local_planner
Standards-Version: 3.9.2

Package: ros-one-base-local-planner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-one-angles, ros-one-costmap-2d, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-message-runtime, ros-one-nav-core, ros-one-nav-msgs, ros-one-pluginlib, ros-one-rosconsole, ros-one-roscpp, ros-one-rospy, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-tf2, ros-one-tf2-ros, ros-one-visualization-msgs, ros-one-voxel-grid
Description: This package provides implementations of the Trajectory Rollout and Dynamic Window approaches to local robot navigation on a plane.
 Given a plan to follow and a costmap, the controller produces velocity commands to send to a mobile base. This package supports both holonomic and non-holonomic robots, any robot footprint that can be represented as a convex polygon or circle, and exposes its configuration as ROS parameters that can be set in a launch file. This package's ROS wrapper adheres to the BaseLocalPlanner interface specified in the nav_core package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-base-local-planner//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-base-local-planner 1.17.3-4jammy.20251208.0032

=== debian/changelog ===
ros-one-base-local-planner (1.17.3-4jammy.20251208.0032) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mfergs7@gmail.com>  Mon, 08 Dec 2025 00:32:03 +0000

## ros-one-base-local-planner 1.17.3-4jammy.20260221.2326

=== debian/changelog ===
ros-one-base-local-planner (1.17.3-4jammy.20260221.2326) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mfergs7@gmail.com>  Sat, 21 Feb 2026 23:26:57 +0000

## ros-one-base-local-planner 1.17.3-4noble.20251023.1242

=== debian/changelog ===
ros-one-base-local-planner (1.17.3-4noble.20251023.1242) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mfergs7@gmail.com>  Thu, 23 Oct 2025 12:42:46 +0000

ros-one-base-local-planner (1.17.3-0noble) noble; urgency=high

  * [ROS-O] various patches (#1225 <https://github.com/ros-planning/navigation/issues/1225>)
    * do not specify obsolete c++11 standard
    this breaks with current versions of log4cxx.
    * update pluginlib include paths
    the non-hpp headers have been deprecated since kinetic
    * use lambdas in favor of boost::bind
    Using boost's _1 as a global system is deprecated since C++11.
    The ROS packages in Debian removed the implicit support for the global symbols,
    so this code fails to compile there without the patch.
  * Contributors: Michael Görner

 -- Michael Ferguson <mfergs7@gmail.com>  Tue, 10 Jan 2023 00:00:00 -0000

ros-one-base-local-planner (1.17.2-0noble) noble; urgency=high

  * Commit 89a8593 removed footprint scaling. This brings it back. (#886 <https://github.com/ros-planning/navigation/issues/886>) (#1204 <https://github.com/ros-planning/navigation/issues/1204>)
    Co-authored-by: Frank Höller <mailto:frank.hoeller@fkie.fraunhofer.de>
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Mon, 20 Jun 2022 00:00:00 -0000

ros-one-base-local-planner (1.17.1-0noble) noble; urgency=high

  * occdist_scale should not be scaled by the costmap resolution as it doesn't multiply a value that includes a distance. (#1000 <https://github.com/ros-planning/navigation/issues/1000>)
  * Contributors: wjwagner

 -- Michael Ferguson <mfergs7@gmail.com>  Thu, 27 Aug 2020 00:00:00 -0000

ros-one-base-local-planner (1.17.0-0noble) noble; urgency=high

  * Merge pull request #982 <https://github.com/ros-planning/navigation/issues/982> from ros-planning/noetic_prep
    Noetic Migration
  * increase required cmake version
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Thu, 02 Apr 2020 00:00:00 -0000

ros-one-base-local-planner (1.16.6-0noble) noble; urgency=high

  * Fix Unknown CMake command check_include_file (navfn & base_local_planner) (#975 <https://github.com/ros-planning/navigation/issues/975>)
  * Contributors: Sam Pfeiffer

 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 18 Mar 2020 00:00:00 -0000

ros-one-base-local-planner (1.16.5-0noble) noble; urgency=high

  * [melodic] updated install for better portability. (#973 <https://github.com/ros-planning/navigation/issues/973>)
  * Contributors: Sean Yen

 -- Michael Ferguson <mfergs7@gmail.com>  Sun, 15 Mar 2020 00:00:00 -0000

ros-one-base-local-planner (1.16.4-0noble) noble; urgency=high

  * Fixes gdist- and pdist_scale node paramter names (#936 <https://github.com/cobalt-robotics/navigation/issues/936>)
    Renames goal and path distance dynamic reconfigure parameter
    names in the cfg file in order to actually make the parameters
    used by the trajectory planner changeable.
    Fixes #935 <https://github.com/cobalt-robotics/navigation/issues/935>
  * don't include a main() function in base_local_planner library (#969 <https://github.com/cobalt-robotics/navigation/issues/969>)
  * [Windows][melodic] Navigation (except for map_server and amcl) Windows build bring up (#851 <https://github.com/cobalt-robotics/navigation/issues/851>)
  * Contributors: David Leins, Sean Yen, ipa-fez

 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 04 Mar 2020 00:00:00 -0000

ros-one-base-local-planner (1.16.3-0noble) noble; urgency=high

  * Merge branch 'melodic-devel' into layer_clear_area-melodic
  * Provide different negative values for unknown and out-of-map costs (#833 <https://github.com/ros-planning/navigation/issues/833>)
  * Merge pull request #857 <https://github.com/ros-planning/navigation/issues/857> from jspricke/add_include
    Add missing header
  * Add missing header
  * [kinetic] Fix for adjusting plan resolution (#819 <https://github.com/ros-planning/navigation/issues/819>)
    * Fix for adjusting plan resolution
    * Simpler math expression
  * Contributors: David V. Lu!!, Jochen Sprickerhof, Jorge Santos Simón, Michael Ferguson, Steven Macenski

 -- Michael Ferguson <mfergs7@gmail.com>  Fri, 15 Nov 2019 00:00:00 -0000

ros-one-base-local-planner (1.16.2-0noble) noble; urgency=high

  * Merge pull request #773 <https://github.com/ros-planning/navigation/issues/773> from ros-planning/packaging_fixes
    packaging fixes
  * add explicit sensor_msgs, tf2 depends for base_local_planner
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Tue, 31 Jul 2018 00:00:00 -0000

ros-one-base-local-planner (1.16.1-0noble) noble; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Sat, 28 Jul 2018 00:00:00 -0000

ros-one-base-local-planner (1.16.0-0noble) noble; urgency=high

  * Remove PCL #765 <https://github.com/ros-planning/navigation/issues/765>
  * Switch to TF2 #755 <https://github.com/ros-planning/navigation/issues/755>
  * Fix trajectory obstacle scoring in dwa_local_planner.
  * Make trajectory scoring scales consistent.
  * unify parameter names between base_local_planner and dwa_local_planner
    addresses parts of #90 <https://github.com/ros-planning/navigation/issues/90>
  * fix param to min_in_place_vel_theta, closes #487 <https://github.com/ros-planning/navigation/issues/487>
  * add const to getLocalPlane, fixes #709 <https://github.com/ros-planning/navigation/issues/709>
  * Merge pull request #732 <https://github.com/ros-planning/navigation/issues/732> from marting87/small_typo_fixes
    Small typo fixes in ftrajectory_planner_ros and robot_pose_ekf
  * Fixed typos for base_local_planner
  * Contributors: Alexander Moriarty, David V. Lu, Martin Ganeff, Michael Ferguson, Pavlo Kolomiiets, Rein Appeldoorn, Vincent Rabaud, moriarty

 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 25 Jul 2018 00:00:00 -0000



## ros-one-base-local-planner 1.17.3-4noble.20251208.1121

=== debian/changelog ===
ros-one-base-local-planner (1.17.3-4noble.20251208.1121) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mfergs7@gmail.com>  Mon, 08 Dec 2025 11:21:01 +0000

## ros-one-base-local-planner 1.17.3-4noble.20260222.0033

=== debian/changelog ===
ros-one-base-local-planner (1.17.3-4noble.20260222.0033) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mfergs7@gmail.com>  Sun, 22 Feb 2026 00:33:03 +0000
